import { Component, Directive, HostListener, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

var InputRefDirective = (function () {
    function InputRefDirective() {
        this.focus = false;
    }
    /**
     * @return {?}
     */
    InputRefDirective.prototype.onFocus = function () {
        this.focus = true;
    };
    /**
     * @return {?}
     */
    InputRefDirective.prototype.onBlur = function () {
        this.focus = false;
    };
    InputRefDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[auInput]'
                },] },
    ];
    /**
     * @nocollapse
     */
    InputRefDirective.ctorParameters = function () { return []; };
    InputRefDirective.propDecorators = {
        'onFocus': [{ type: HostListener, args: ['focus',] },],
        'onBlur': [{ type: HostListener, args: ['blur',] },],
    };
    return InputRefDirective;
}());

var searchCss = "\n    h2{\n        font-size: 20px;\n    }\n";

var SearchComponent = (function () {
    function SearchComponent() {
    }
    SearchComponent.decorators = [
        { type: Component, args: [{
                    selector: 'search-component',
                    template: "<h2>This is {{title}}</h2>",
                    styles: [searchCss]
                },] },
    ];
    /**
     * @nocollapse
     */
    SearchComponent.ctorParameters = function () { return []; };
    return SearchComponent;
}());

var sampleCss = "\n    h2{\n        font-size: 10px;\n    }\n";

var SampleComponent = (function () {
    function SampleComponent() {
    }
    SampleComponent.decorators = [
        { type: Component, args: [{
                    selector: 'sample-component',
                    template: "<h2>This is {{title}}</h2>",
                    styles: [sampleCss]
                },] },
    ];
    /**
     * @nocollapse
     */
    SampleComponent.ctorParameters = function () { return []; };
    return SampleComponent;
}());

var AngularLibModule = (function () {
    function AngularLibModule() {
    }
    AngularLibModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [SampleComponent, InputRefDirective, SearchComponent],
                    imports: [
                        CommonModule
                    ],
                    exports: [SampleComponent, InputRefDirective]
                },] },
    ];
    /**
     * @nocollapse
     */
    AngularLibModule.ctorParameters = function () { return []; };
    return AngularLibModule;
}());

/**
 * Generated bundle index. Do not edit.
 */

export { AngularLibModule, InputRefDirective as ɵc, sampleCss as ɵb, searchCss as ɵe, SampleComponent as ɵa, SearchComponent as ɵd };
//# sourceMappingURL=au-input.es5.js.map
