import { Component, Directive, HostListener, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

class InputRefDirective {
    constructor() {
        this.focus = false;
    }
    /**
     * @return {?}
     */
    onFocus() {
        this.focus = true;
    }
    /**
     * @return {?}
     */
    onBlur() {
        this.focus = false;
    }
}
InputRefDirective.decorators = [
    { type: Directive, args: [{
                selector: '[auInput]'
            },] },
];
/**
 * @nocollapse
 */
InputRefDirective.ctorParameters = () => [];
InputRefDirective.propDecorators = {
    'onFocus': [{ type: HostListener, args: ['focus',] },],
    'onBlur': [{ type: HostListener, args: ['blur',] },],
};

const searchCss = `
    h2{
        font-size: 20px;
    }
`;

class SearchComponent {
}
SearchComponent.decorators = [
    { type: Component, args: [{
                selector: 'search-component',
                template: `<h2>This is {{title}}</h2>`,
                styles: [searchCss]
            },] },
];
/**
 * @nocollapse
 */
SearchComponent.ctorParameters = () => [];

const sampleCss = `
    h2{
        font-size: 10px;
    }
`;

class SampleComponent {
}
SampleComponent.decorators = [
    { type: Component, args: [{
                selector: 'sample-component',
                template: `<h2>This is {{title}}</h2>`,
                styles: [sampleCss]
            },] },
];
/**
 * @nocollapse
 */
SampleComponent.ctorParameters = () => [];

class AngularLibModule {
}
AngularLibModule.decorators = [
    { type: NgModule, args: [{
                declarations: [SampleComponent, InputRefDirective, SearchComponent],
                imports: [
                    CommonModule
                ],
                exports: [SampleComponent, InputRefDirective]
            },] },
];
/**
 * @nocollapse
 */
AngularLibModule.ctorParameters = () => [];

/**
 * Generated bundle index. Do not edit.
 */

export { AngularLibModule, InputRefDirective as ɵc, sampleCss as ɵb, searchCss as ɵe, SampleComponent as ɵa, SearchComponent as ɵd };
//# sourceMappingURL=au-input.js.map
