(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global.auInput = global.auInput || {}),global.ng.core,global._angular_common));
}(this, (function (exports,_angular_core,_angular_common) { 'use strict';

var InputRefDirective = (function () {
    function InputRefDirective() {
        this.focus = false;
    }
    /**
     * @return {?}
     */
    InputRefDirective.prototype.onFocus = function () {
        this.focus = true;
    };
    /**
     * @return {?}
     */
    InputRefDirective.prototype.onBlur = function () {
        this.focus = false;
    };
    InputRefDirective.decorators = [
        { type: _angular_core.Directive, args: [{
                    selector: '[auInput]'
                },] },
    ];
    /**
     * @nocollapse
     */
    InputRefDirective.ctorParameters = function () { return []; };
    InputRefDirective.propDecorators = {
        'onFocus': [{ type: _angular_core.HostListener, args: ['focus',] },],
        'onBlur': [{ type: _angular_core.HostListener, args: ['blur',] },],
    };
    return InputRefDirective;
}());

var searchCss = "\n    h2{\n        font-size: 20px;\n    }\n";

var SearchComponent = (function () {
    function SearchComponent() {
    }
    SearchComponent.decorators = [
        { type: _angular_core.Component, args: [{
                    selector: 'search-component',
                    template: "<h2>This is {{title}}</h2>",
                    styles: [searchCss]
                },] },
    ];
    /**
     * @nocollapse
     */
    SearchComponent.ctorParameters = function () { return []; };
    return SearchComponent;
}());

var sampleCss = "\n    h2{\n        font-size: 10px;\n    }\n";

var SampleComponent = (function () {
    function SampleComponent() {
    }
    SampleComponent.decorators = [
        { type: _angular_core.Component, args: [{
                    selector: 'sample-component',
                    template: "<h2>This is {{title}}</h2>",
                    styles: [sampleCss]
                },] },
    ];
    /**
     * @nocollapse
     */
    SampleComponent.ctorParameters = function () { return []; };
    return SampleComponent;
}());

var AngularLibModule = (function () {
    function AngularLibModule() {
    }
    AngularLibModule.decorators = [
        { type: _angular_core.NgModule, args: [{
                    declarations: [SampleComponent, InputRefDirective, SearchComponent],
                    imports: [
                        _angular_common.CommonModule
                    ],
                    exports: [SampleComponent, InputRefDirective]
                },] },
    ];
    /**
     * @nocollapse
     */
    AngularLibModule.ctorParameters = function () { return []; };
    return AngularLibModule;
}());

/**
 * Generated bundle index. Do not edit.
 */

exports.AngularLibModule = AngularLibModule;
exports.ɵc = InputRefDirective;
exports.ɵb = sampleCss;
exports.ɵe = searchCss;
exports.ɵa = SampleComponent;
exports.ɵd = SearchComponent;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=au-input.umd.js.map
